new 1.13.0 stable release

Ucan, Emre (ADITG/ESB) eucan at de.adit-jv.com
Tue Jun 13 14:56:00 EDT 2017


Hello Stephen,

My answers are below.

Best regards

Emre Ucan
Engineering Software Base (ADITG/ESB)

Tel. +49 5121 49 6937
-----Original Message-----
From: Genivi-dev [mailto:genivi-dev-bounces at mail.genivi.org] On Behalf Of Stephen Lawrence via Genivi-dev
Sent: Dienstag, 13. Juni 2017 20:03
To: Friedrich, Eugen (ADITG/ESB)
Cc: 'genivi-dev at mail.genivi.org'; 'genivi-ivi-layer-management at lists.genivi.org'
Subject: Re: [Genivi-dev] new 1.13.0 stable release

Hi Wayland IVI-Extension team,

> -----Original Message-----
> From: genivi-ivi-layer-management [mailto:genivi-ivi-layer-management-
> bounces at lists.genivi.org] On Behalf Of Friedrich, Eugen (ADITG/ESB)
> Sent: 02 June 2017 10:37
> To: 'genivi-ivi-layer-management at lists.genivi.org' <genivi-ivi-layer- 
> management at lists.genivi.org>
> Cc: 'genivi-dev at mail.genivi.org' <genivi-dev at mail.genivi.org>
> Subject: new 1.13.0 stable release
> 
> Hello all,
> 
> I'm to announce the new stable release of wayland-ivi-extension:
> Details are here:
> https://github.com/GENIVI/wayland-ivi-extension/releases/tag/1.13.0

Congratulations on getting the release out.

We are discussing in the BIT about integrating it and have some questions about the scope of the release.

Q1) Can you confirm the reference implementation for the release uses Weston 2.0?
[Emre]Yes.

Q2) Will you be updating Genivi 13 compliance for this release? 
I ask as your comment below seems to be talking about updating compliance for a follow on protocol update, although I may be misunderstanding.

The reason behind is that the release tag [1] says that various APIs have been deprecated. 
That of course would break backwards compatibility and would require a Genivi 13 compliance update for the changes in this 1.13 release. If it was just adding new features it would be fine.

[1] https://github.com/GENIVI/wayland-ivi-extension/releases/tag/1.13.0
[Emre] 1.13 release is basically last release before new protocol. It is backwards compatible with v1.11.
Some APIs are deprecated but they are working as before. Applications will get compile time warnings when they use this APIs.
We are also planning to update compliance with new protocol. For that there will be a new v2.0 release.


> 
> after this release we will start the process to update the genivi 
> compliance and introduce the new wayland protocol for ivi window manager:
> previous version was: ivi-controller new is ivi-wm  (for ivi window 
> manager)
> 
> The well know ILM interface will stay almost the same: we just remove 
> unimplemented API's and introduced a few new ones: e.g. ilm_getError.
> So applications which used ILM interface should be ported very easily  
> to the new protocol.
> 

Regards

Steve
_______________________________________________
Genivi-dev mailing list
Genivi-dev at mail.genivi.org
https://mail.genivi.org/mailman/listinfo/genivi-dev


More information about the genivi-ivi-layer-management mailing list